Results 1 to 7 of 7

Thread: Upgrade a Suse 9 software to Suse 11 trouble with XFree/Xorg compatibility

  1. #1

    Default Upgrade a Suse 9 software to Suse 11 trouble with XFree/Xorg compatibility

    Hello,

    I try to update a quite old software using XFree86 (4.3) libraries. These libraries are essentials due to a graphical dependencies to IViews libraries ( from Ilog Views v5.1) using x11r6.
    Suse 11 come with x11r7 libraries which are not compatible.

    I would like to know, if in one hand i can start computer with x11r7 libraries and in an other hand run my software with x11r6 libraries ?

    I try with QEMU but there is a big trouble with performance / execution speed.

    If i install XFree86-libs (version 4.3) package on Suse11, XFree86 is automatically started like default which lead to a black screen at start. I dont understand how is made choose between Xorg and XFree at start when both of them are installed ?

  2. #2
    Join Date
    Jun 2008
    Location
    Earth - Denmark
    Posts
    10,730

    Default Re: Upgrade a Suse 9 software to Suse 11 trouble with XFree/Xorgcompatibility

    you are welcome to seek advice here, but BE ADVISED that these are the
    openSUSE forums and many of the answers might be from folks who have
    never run SLES/D (or maybe never even heard of them before) and
    you are likely much better off if you seek assistance from the
    Attachmate/SUSE forums (where the SUSE Linux Enterprise gurus hang out), at:
    http://forums.novell.com/novell-prod...e-server-sles/

    your ID/Pass here works there also..

    --
    DD
    openSUSE®, the "German Automobiles" of operating systems

  3. #3

    Default Re: Upgrade a Suse 9 software to Suse 11 trouble with XFree/Xorg compatibility

    Thanks for your answer and for your advice.

    I will post this thread on novell forum.

  4. #4
    Join Date
    Feb 2009
    Location
    Spain
    Posts
    25,547

    Default Re: Upgrade a Suse 9 software to Suse 11 trouble with XFree/Xorgcompatibility

    On 2011-09-05 15:56, seraf8 wrote:
    > I try to update a quite old software using XFree86 (4.3) libraries.
    > These libraries are essentials due to a graphical dependencies to IViews
    > libraries ( from Ilog Views v5.1) using x11r6.
    > Suse 11 come with x11r7 libraries which are not compatible.


    IMHO, you are better bot upgrading. But ask the SLES people first.

    --
    Cheers / Saludos,

    Carlos E. R.
    (from 11.4 x86_64 "Celadon" at Telcontar)

  5. #5
    Join Date
    Oct 2008
    Location
    Glasgow, Scotland
    Posts
    1,151

    Default Re: Upgrade a Suse 9 software to Suse 11 trouble with XFree/Xorgcompatibility

    Quote Originally Posted by DenverD View Post
    ... but BE ADVISED that these are the openSUSE forums and many of the answers might be from folks who have never run SLES/D ...
    But SuSE-9.x is nothing to do with SLED/S and predates Novell-SUSE. SuSE-9.0 professional is a direct predecessor of openSUSE. This is probably one of the places to find people with experience of older SuSEs, moreso than the SLED/S forums.

    I am not sure what the ultimate aim is here. If it is to run a modern SuSE with the old graphics system; I think that that would be difficult and require rebuilding the old libraries for the new system. If you want to update the old software, then build it for Xorg. If the intention is just to run the old software; I would try installing SuSE-9.x in a VirtualBox virtual machine. It might not be easy -- I have spent a long time (still unsuccessfully) trying to install Yggdrasil on my laptop, just so that I can demonstrate it in the pub.

  6. #6
    Join Date
    Feb 2009
    Location
    Spain
    Posts
    25,547

    Default Re: Upgrade a Suse 9 software to Suse 11 trouble with XFree/Xorgcompatibility

    On 2011-09-15 13:56, eng-int wrote:
    > DenverD;2381567 Wrote:
    >> > ... but BE ADVISED that these are the openSUSE forums and many of the
    >> > answers might be from folks who have never run SLES/D ...

    > But SuSE-9.x is nothing to do with SLED/S and predates Novell-SUSE.
    > SuSE-9.0 professional is a direct predecessor of openSUSE.


    He did not say SuSE-9.x. He said Suse 9, which means the enterprise version.

    --
    Cheers / Saludos,

    Carlos E. R.
    (from 11.4 x86_64 "Celadon" at Telcontar)

  7. #7
    Join Date
    Feb 2009
    Location
    Spain
    Posts
    25,547

    Default Re: Upgrade a Suse 9 software to Suse 11 trouble with XFree/Xorgcompatibility

    On 2011-09-15 11:43, Carlos E. R. wrote:
    > IMHO, you are better bot upgrading. But ask the SLES people first.


    Errata: _not_ upgrading.

    --
    Cheers / Saludos,

    Carlos E. R.
    (from 11.4 x86_64 "Celadon" at Telcontar)

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •